package com.steering.mes.mcp.entity;

/**
 * 数据库表COUPLING_SANDBLAST_RESULT所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732   date 2016-03-29
 */
public class CouplingSandblastResultEntity {
    /**
     * 备注
     */
    private String memo;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 录入时间
     */
    private String colTime;
    /**
     * 是否全项委托（0否，1是）
     */
    private String ifAllOutWork;
    /**
     * 合格个数
     */
    private String qualiriedPcs;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 产线代码
     */
    private String plineCode;
    /**
     * 作业工单号
     */
    private String zyPlanId;
    /**
     * 喷料
     */
    private String sprayMaterial;
    /**
     * 喷砂粗糙度
     */
    private String sprayThick;
    /**
     * 喷砂设备
     */
    private String sprayEquipment;
    /**
     * 喷嘴压力
     */
    private String sprayPressure;
    /**
     * 喷砂个数
     */
    private String sprayCount;
    /**
     * 废品个数
     */
    private String rejectedPcs;
    /**
     * 废品原因
     */
    private String rejectedReason;
    /**
     * 创建人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 操作工
     */
    private String colOperator;

    private String woId;
    
    private String offNum;
    
    public String getOffNum() {
		return offNum;
	}

	public void setOffNum(String offNum) {
		this.offNum = offNum;
	}

	public String getWoId() {
        return woId;
    }

    public void setWoId(String woId) {
        this.woId = woId;
    }

    public CouplingSandblastResultEntity(){
        memo = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        colTime = "";
        ifAllOutWork = "";
        qualiriedPcs = "";
        resultNo = "";
        plineCode = "";
        zyPlanId = "";
        sprayMaterial = "";
        sprayThick = "";
        sprayEquipment = "";
        sprayPressure = "";
        sprayCount = "";
        rejectedPcs = "";
        rejectedReason = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        colOperator = "";
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 是否全项委托（0否，1是）
     * @return value
     */
    public String getIfAllOutWork() {
        return ifAllOutWork;
    }

    /**
     * 是否全项委托（0否，1是）
     * @param ifAllOutWork value
     */
    public void setIfAllOutWork(String ifAllOutWork) {
        this.ifAllOutWork = ifAllOutWork;
    }

    /**
     * 合格个数
     * @return value
     */
    public String getQualiriedPcs() {
        return qualiriedPcs;
    }

    /**
     * 合格个数
     * @param qualiriedPcs value
     */
    public void setQualiriedPcs(String qualiriedPcs) {
        this.qualiriedPcs = qualiriedPcs;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 作业工单号
     * @return value
     */
    public String getZyPlanId() {
        return zyPlanId;
    }

    /**
     * 作业工单号
     * @param zyPlanId value
     */
    public void setZyPlanId(String zyPlanId) {
        this.zyPlanId = zyPlanId;
    }

    /**
     * 喷料
     * @return value
     */
    public String getSprayMaterial() {
        return sprayMaterial;
    }

    /**
     * 喷料
     * @param sprayMaterial value
     */
    public void setSprayMaterial(String sprayMaterial) {
        this.sprayMaterial = sprayMaterial;
    }

    /**
     * 喷砂粗糙度
     * @return value
     */
    public String getSprayThick() {
        return sprayThick;
    }

    /**
     * 喷砂粗糙度
     * @param sprayThick value
     */
    public void setSprayThick(String sprayThick) {
        this.sprayThick = sprayThick;
    }

    /**
     * 喷砂设备
     * @return value
     */
    public String getSprayEquipment() {
        return sprayEquipment;
    }

    /**
     * 喷砂设备
     * @param sprayEquipment value
     */
    public void setSprayEquipment(String sprayEquipment) {
        this.sprayEquipment = sprayEquipment;
    }

    /**
     * 喷嘴压力
     * @return value
     */
    public String getSprayPressure() {
        return sprayPressure;
    }

    /**
     * 喷嘴压力
     * @param sprayPressure value
     */
    public void setSprayPressure(String sprayPressure) {
        this.sprayPressure = sprayPressure;
    }

    /**
     * 喷砂个数
     * @return value
     */
    public String getSprayCount() {
        return sprayCount;
    }

    /**
     * 喷砂个数
     * @param sprayCount value
     */
    public void setSprayCount(String sprayCount) {
        this.sprayCount = sprayCount;
    }

    /**
     * 废品个数
     * @return value
     */
    public String getRejectedPcs() {
        return rejectedPcs;
    }

    /**
     * 废品个数
     * @param rejectedPcs value
     */
    public void setRejectedPcs(String rejectedPcs) {
        this.rejectedPcs = rejectedPcs;
    }

    /**
     * 废品原因
     * @return value
     */
    public String getRejectedReason() {
        return rejectedReason;
    }

    /**
     * 废品原因
     * @param rejectedReason value
     */
    public void setRejectedReason(String rejectedReason) {
        this.rejectedReason = rejectedReason;
    }

    /**
     * 创建人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 创建人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作工
     * @return value
     */
    public String getColOperator() {
        return colOperator;
    }

    /**
     * 操作工
     * @param colOperator value
     */
    public void setColOperator(String colOperator) {
        this.colOperator = colOperator;
    }
}
